# OpenML dataset: cargo-2000

https://www.openml.org/d/42910

## Structure

The dataset has the following file structure:

* `dataset/`
  * `tables/`
    * [`data.csv`](./dataset/tables/data.csv): CSV file with data
    * [`data.pq`](./dataset/tables/data.pq): Parquet file with data
  * [`metadata.json`](./dataset/metadata.json): OpenML description of the dataset
  * [`features.json`](./dataset/features.json): OpenML description of table columns
  * [`qualities.json`](./dataset/qualities.json): OpenML qualities (meta-features)

## Description

**Author**: Andreas Metzger
**Source**: [UCI](https://archive.ics.uci.edu/ml/datasets/Cargo+2000+Freight+Tracking+and+Tracing) - 2016
**Please cite**: [Paper](http://dcomp.sor.ufscar.br/talmeida/youtubespamcollection/)  

**Cargo 2000 Freight Tracking and Tracing Data Set**

Sanitized and anonymized Cargo 2000 (C2K) airfreight tracking and tracing events, covering five months of business execution (3,942 process instances, 7,932 transport legs, 56,082 activities).


### Attribute information

Attribute Information:

- nr - unique id for process instance of overall process - domain: [1..3942] 
- i1_legid - unique id across all transport legs (note: also to 'empty' legs are assigned an id) of incoming transport leg 1 - domain: [1..14664] 
- i1_rcs_p - planned duration (minutes) of incoming transport leg 1 (RCS: Freight Check in) - domain: [LONGINT] 
- i1_rcs_e - effective (i.e., actual) duration (minutes) of incoming transport leg 1 (RCS: Freight Check in) - domain: [LONGINT] 
- i1_dep_1_p - planned duration (minutes) of incoming transport leg 1 (DEP: Departure Segment 1) - domain: [LONGINT] 
- i1_dep_1_e - effective (i.e., actual) duration (minutes) of incoming transport leg 1 (DEP: Departure Segment 1) - domain: [LONGINT] 
- i1_dep_1_place - unique id for airport (original IATA codes have been masked due to confidentiality reasons) of incoming transport leg 1 (DEP: Departure Segment 1) - domain: [100..816] 
- i1_rcf_1_p - planned duration (minutes) of incoming transport leg 1 (RCF: Arrival Segment 1) - domain: [LONGINT] 
- i1_rcf_1_e - effective (i.e., actual) duration (minutes) of incoming transport leg 1 (RCF: Arrival Segment 1) - domain: [LONGINT] 
- i1_rcf_1_place - unique id for airport (original IATA codes have been masked due to confidentiality reasons) of incoming transport leg 1 (RCF: Arrival Segment 1) - domain: [100..816] 
- i1_dep_2_p - planned duration (minutes) of incoming transport leg 1 (DEP: Departure Segment 2) - domain: [LONGINT] 
- i1_dep_2_e - effective (i.e., actual) duration (minutes) of incoming transport leg 1 (DEP: Departure Segment 2) - domain: [LONGINT] 
- i1_dep_2_place - unique id for airport (original IATA codes have been masked due to confidentiality reasons) of incoming transport leg 1 (DEP: Departure Segment 2) - domain: [100..816] 
- i1_rcf_2_p - planned duration (minutes) of incoming transport leg 1 (RCF: Arrival Segment 2) - domain: [LONGINT] 
- i1_rcf_2_e - effective (i.e., actual) duration (minutes) of incoming transport leg 1 (RCF: Arrival Segment 2) - domain: [LONGINT] 
- i1_rcf_2_place - unique id for airport (original IATA codes have been masked due to confidentiality reasons) of incoming transport leg 1 (RCF: Arrival Segment 2) - domain: [100..816] 
- i1_dep_3_p - planned duration (minutes) of incoming transport leg 1 (DEP: Departure Segment 3) - domain: [LONGINT] 
- i1_dep_3_e - effective (i.e., actual) duration (minutes) of incoming transport leg 1 (DEP: Departure Segment 3) - domain: [LONGINT] 
- i1_dep_3_place - unique id for airport (original IATA codes have been masked due to confidentiality reasons) of incoming transport leg 1 (DEP: Departure Segment 3) - domain: [100..816] 
- i1_rcf_3_p - planned duration (minutes) of incoming transport leg 1 (RCF: Arrival Segment 3) - domain: [LONGINT] 
- i1_rcf_3_e - effective (i.e., actual) duration (minutes) of incoming transport leg 1 (RCF: Arrival Segment 3) - domain: [LONGINT] 
- i1_rcf_3_place - unique id for airport (original IATA codes have been masked due to confidentiality reasons) of incoming transport leg 1 (RCF: Arrival Segment 3) - domain: [100..816] 
- i1_dlv_p - planned duration (minutes) of incoming transport leg 1 (DLV: Freight Delivery) - domain: [LONGINT] 
- i1_dlv_e - effective (i.e., actual) duration (minutes) of incoming transport leg 1 (DLV: Freight Delivery) - domain: [LONGINT] 
- i1_hops - number of segments (hops) in the transport leg of incoming transport leg 1 - domain: [1..4] 

- i2_legid - unique id across all transport legs (note: also to 'empty' legs are assigned an id) of incoming transport leg 2 - domain: [1..14664] 
- i2_rcs_p - planned duration (minutes) of incoming transport leg 2 (RCS: Freight Check in) - domain: [LONGINT] 
- i2_rcs_e - effective (i.e., actual) duration (minutes) of incoming transport leg 2 (RCS: Freight Check in) - domain: [LONGINT] 
- i2_dep_1_p - planned duration (minutes) of incoming transport leg 2 (DEP: Departure Segment 1) - domain: [LONGINT] 
- i2_dep_1_e - effective (i.e., actual) duration (minutes) of incoming transport leg 2 (DEP: Departure Segment 1) - domain: [LONGINT] 
- i2_dep_1_place - unique id for airport (original IATA codes have been masked due to confidentiality reasons) of incoming transport leg 2 (DEP: Departure Segment 1) - domain: [100..816] 
- i2_rcf_1_p - planned duration (minutes) of incoming transport leg 2 (RCF: Arrival Segment 1) - domain: [LONGINT] 
i2_rcf_1_e - effective (i.e., actual) duration (minutes) of incoming transport leg 2 (RCF: Arrival Segment 1) - domain: [LONGINT] 
- i2_rcf_1_place - unique id for airport (original IATA codes have been masked due to confidentiality reasons) of incoming transport leg 2 (RCF: Arrival Segment 1) - domain: [100..816] 
- i2_dep_2_p - planned duration (minutes) of incoming transport leg 2 (DEP: Departure Segment 2) - domain: [LONGINT] 
- i2_dep_2_e - effective (i.e., actual) duration (minutes) of incoming transport leg 2 (DEP: Departure Segment 2) - domain: [LONGINT] 
- i2_dep_2_place - unique id for airport (original IATA codes have been masked due to confidentiality reasons) of incoming transport leg 2 (DEP: Departure Segment 2) - domain: [100..816] 
- i2_rcf_2_p - planned duration (minutes) of incoming transport leg 2 (RCF: Arrival Segment 2) - domain: [LONGINT] 
- i2_rcf_2_e - effective (i.e., actual) duration (minutes) of incoming transport leg 2 (RCF: Arrival Segment 2) domain: [LONGINT] 
- i2_rcf_2_place - unique id for airport (original IATA codes have been masked due to confidentiality reasons) of incoming transport leg 2 (RCF: Arrival Segment 2) - domain: [100..816] 
- i2_dep_3_p - planned duration (minutes) of incoming transport leg 2 (DEP: Departure Segment 3) - domain: [LONGINT] 
- i2_dep_3_e - effective (i.e., actual) duration (minutes) of incoming transport leg 2 (DEP: Departure Segment 3) - domain: [LONGINT] 
- i2_dep_3_place - unique id for airport (original IATA codes have been masked due to confidentiality reasons) of incoming transport leg 2 (DEP: Departure Segment 3) - domain: [100..816] 
- i2_rcf_3_p - planned duration (minutes) of incoming transport leg 2 (RCF: Arrival Segment 3) - domain: [LONGINT] 
- i2_rcf_3_e - effective (i.e., actual) duration (minutes) of incoming transport leg 2 (RCF: Arrival Segment 3) - domain: [LONGINT] 
i2_rcf_3_place - unique id for airport (original IATA codes have been masked due to confidentiality reasons) of incoming transport leg 2 (RCF: Arrival Segment 3) - domain: [100..816] 
- i2_dlv_p - planned duration (minutes) of incoming transport leg 2 (DLV: Freight Delivery) - domain: [LONGINT] 
- i2_dlv_e - effective (i.e., actual) duration (minutes) of incoming transport leg 2 (DLV: Freight Delivery) - domain: [LONGINT] 
- i2_hops - number of segments (hops) in the transport leg of incoming transport leg 2 - domain: [1..4] 

 - i3_legid - unique id across all transport legs (note: also to 'empty'
   legs are assigned an id) of incoming transport leg 3 - domain:
   [1..14664]
 - i3_rcs_p - planned duration (minutes) of incoming transport leg 3
   (RCS: Freight Check in) - domain: [LONGINT]
 - i3_rcs_e - effective (i.e., actual) duration (minutes) of incoming
   transport leg 3 (RCS: Freight Check in) - domain: [LONGINT]
 - i3_dep_1_p - planned duration (minutes) of incoming transport leg 3
   (DEP: Departure Segment 1) - domain: [LONGINT]
 - i3_dep_1_e - effective (i.e., actual) duration (minutes) of incoming
   transport leg 3 (DEP: Departure Segment 1) - domain: [LONGINT]
 - i3_dep_1_place - unique id for airport (original IATA codes have been
   masked due to confidentiality reasons) of incoming transport leg 3
   (DEP: Departure Segment 1) - domain: [100..816]
 - i3_rcf_1_p - planned duration (minutes) of incoming transport leg 3
   (RCF: Arrival Segment 1) - domain: [LONGINT]
 - i3_rcf_1_e - effective (i.e., actual) duration (minutes) of incoming
   transport leg 3 (RCF: Arrival Segment 1) - domain: [LONGINT]
 - i3_rcf_1_place - unique id for airport (original IATA codes have been
   masked due to confidentiality reasons) of incoming transport leg 3
   (RCF: Arrival Segment 1) - domain: [100..816]
 - i3_dep_2_p - planned duration (minutes) of incoming transport leg 3
   (DEP: Departure Segment 2) - domain: [LONGINT]
 - i3_dep_2_e - effective (i.e., actual) duration (minutes) of incoming
   transport leg 3 (DEP: Departure Segment 2) - domain: [LONGINT]
 - i3_dep_2_place - unique id for airport (original IATA codes have been
   masked due to confidentiality reasons) of incoming transport leg 3
   (DEP: Departure Segment 2) - domain: [100..816]
 - i3_rcf_2_p - planned duration (minutes) of incoming transport leg 3
   (RCF: Arrival Segment 2) - domain: [LONGINT]
 - i3_rcf_2_e - effective (i.e., actual) duration (minutes) of incoming
   transport leg 3 (RCF: Arrival Segment 2) - domain: [LONGINT]
 - i3_rcf_2_place - unique id for airport (original IATA codes have been
   masked due to confidentiality reasons) of incoming transport leg 3
   (RCF: Arrival Segment 2) - domain: [100..816]
 - i3_dep_3_p - planned duration (minutes) of incoming transport leg 3
   (DEP: Departure Segment 3) - domain: [LONGINT]
 - i3_dep_3_e - effective (i.e., actual) duration (minutes) of incoming
   transport leg 3 (DEP: Departure Segment 3) - domain: [LONGINT]
 - i3_dep_3_place - unique id for airport (original IATA codes have been
   masked due to confidentiality reasons) of incoming transport leg 3
   (DEP: Departure Segment 3) - domain: [100..816]
 - i3_rcf_3_p - planned duration (minutes) of incoming transport leg 3
   (RCF: Arrival Segment 3) - domain: [LONGINT]
 - i3_rcf_3_e - effective (i.e., actual) duration (minutes) of incoming
   transport leg 3 (RCF: Arrival Segment 3) - domain: [LONGINT]
 - i3_rcf_3_place - unique id for airport (original IATA codes have been
   masked due to confidentiality reasons) of incoming transport leg 3
   (RCF: Arrival Segment 3) - domain: [100..816]
 - i3_dlv_p - planned duration (minutes) of incoming transport leg 3
   (DLV: Freight Delivery) - domain: [LONGINT]
 - i3_dlv_e - effective (i.e., actual) duration (minutes) of incoming
   transport leg 3 (DLV: Freight Delivery) - domain: [LONGINT]
 - i3_hops - number of segments (hops) in the transport leg of incoming
   transport leg 3 - domain: [1..4]
   
 - o_legid - unique id across all transport legs (note: also to 'empty'
   legs are assigned an id) of outgoing transport leg - domain:
   [1..14664]
 - o_rcs_p - planned duration (minutes) of outgoing transport leg (RCS:
   Freight Check in) - domain: [LONGINT]
 - o_rcs_e - effective (i.e., actual) duration (minutes) of outgoing
   transport leg (RCS: Freight Check in) - domain: [LONGINT]
 - o_dep_1_p - planned duration (minutes) of outgoing transport leg
   (DEP: Departure Segment 1) - domain: [LONGINT]
 - o_dep_1_e - effective (i.e., actual) duration (minutes) of outgoing
   transport leg (DEP: Departure Segment 1) - domain: [LONGINT]
 - o_dep_1_place - unique id for airport (original IATA codes have been
   masked due to confidentiality reasons) of outgoing transport leg
   (DEP: Departure Segment 1) - domain: [100..816]
 - o_rcf_1_p - planned duration (minutes) of outgoing transport leg
   (RCF: Arrival Segment 1) - domain: [LONGINT]
 - o_rcf_1_e - effective (i.e., actual) duration (minutes) of outgoing
   transport leg (RCF: Arrival Segment 1) - domain: [LONGINT]
 - o_rcf_1_place - unique id for airport (original IATA codes have been
   masked due to confidentiality reasons) of outgoing transport leg
   (RCF: Arrival Segment 1) - domain: [100..816]
 - o_dep_2_p - planned duration (minutes) of outgoing transport leg
   (DEP: Departure Segment 2) - domain: [LONGINT]
 - o_dep_2_e - effective (i.e., actual) duration (minutes) of outgoing
   transport leg (DEP: Departure Segment 2) - domain: [LONGINT]
 - o_dep_2_place - unique id for airport (original IATA codes have been
   masked due to confidentiality reasons) of outgoing transport leg
   (DEP: Departure Segment 2) - domain: [100..816]
 - o_rcf_2_p - planned duration (minutes) of outgoing transport leg
   (RCF: Arrival Segment 2) - domain: [LONGINT]
 - o_rcf_2_e - effective (i.e., actual) duration (minutes) of outgoing
   transport leg (RCF: Arrival Segment 2) - domain: [LONGINT]
 - o_rcf_2_place - unique id for airport (original IATA codes have been
   masked due to confidentiality reasons) of outgoing transport leg
   (RCF: Arrival Segment 2) - domain: [100..816]
 - o_dep_3_p - planned duration (minutes) of outgoing transport leg
   (DEP: Departure Segment 3) - domain: [LONGINT]
 - o_dep_3_e - effective (i.e., actual) duration (minutes) of outgoing
   transport leg (DEP: Departure Segment 3) - domain: [LONGINT]
 - o_dep_3_place - unique id for airport (original IATA codes have been
   masked due to confidentiality reasons) of outgoing transport leg
   (DEP: Departure Segment 3) - domain: [100..816]
 - o_rcf_3_p - planned duration (minutes) of outgoing transport leg
   (RCF: Arrival Segment 3) - domain: [LONGINT]
 - o_rcf_3_e - effective (i.e., actual) duration (minutes) of outgoing
   transport leg (RCF: Arrival Segment 3) - domain: [LONGINT]
 - o_rcf_3_place - unique id for airport (original IATA codes have been
   masked due to confidentiality reasons) of outgoing transport leg
   (RCF: Arrival Segment 3) - domain: [100..816]
 - o_dlv_p - planned duration (minutes) of outgoing transport leg (DLV:
   Freight Delivery) - domain: [LONGINT]
 - o_dlv_e - effective (i.e., actual) duration (minutes) of outgoing
   transport leg (DLV: Freight Delivery) - domain: [LONGINT]
- o_hops - number of segments (hops) in the transport leg of outgoing transport leg - domain: [1..4] 
- legs - number of incoming transport legs of overall process - domain: [1..3]

## Contributing

This is a [read-only mirror](https://gitlab.com/data/d/openml/42910) of an [OpenML dataset](https://www.openml.org/d/42910). Contribute any changes to the dataset there. Alternatively, [fork the dataset](https://gitlab.com/data/d/openml/42910/-/forks/new) or [find an existing fork](https://gitlab.com/data/d/openml/42910/-/forks) to contribute to.

You can use [issues](https://gitlab.com/data/d/openml/42910/-/issues) to discuss the dataset and any issues.

For more information see [https://datagit.org/](https://datagit.org/).

